<h2 style="display:none;">Our Chef</h2> 
<div class="header-section padd-y-75">
	<div class="title-section padd-x-25 nd-clr transit-words">Our Chef</div>
</div>
<p>Thiru has been cooking for 20 years. He was trained by a well known chain in Mumbai, and his culinary skills led the word to spread. He has been invited to Malaysia, Singapore, Africa and Europe to train other aspiring chefs. Along the way he opened a restaurant in Uganda. He's currently based at Govinda's in Soho as the manager, serving canteen style vegetarian staples. Keeping it clean & karma free.</p>